fop 2.3

## org.apache.fop.render.pcl
Class PCLRendererConfig

    java.lang.Object
      org.apache.fop.render.pcl.PCLRendererConfig

All Implemented Interfaces:
  RendererConfig

    public final class PCLRendererConfig

extends java.lang.Object
implements RendererConfig

The PCL renderer configuration data object.

Nested Class Summary
`static class` `PCLRendererConfig.PCLRendererConfigParser` The PCL renderer configuration data parser.

Nested classes/interfaces inherited from interface org.apache.fop.render.RendererConfig
`RendererConfig.RendererConfigParser`

Method Summary
`DefaultFontConfig` `getFontInfoConfig()` Returns the render-specific font configuration information.
`PCLRenderingMode` `getRenderingMode()`
`java.lang.Boolean` `isColorEnabled()`
`java.lang.Boolean` `isDisablePjl()`
`java.lang.Boolean` `isOptimizeResources()`
`java.lang.Boolean` `isTextRendering()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFontInfoConfig

    public DefaultFontConfig getFontInfoConfig()

  Description copied from interface: `RendererConfig`
  Returns the render-specific font configuration information.

  Specified by:
    `getFontInfoConfig` in interface `RendererConfig`
  Returns:
    the font config

### getRenderingMode

    public PCLRenderingMode getRenderingMode()

### isTextRendering

    public java.lang.Boolean isTextRendering()

### isDisablePjl

    public java.lang.Boolean isDisablePjl()

### isColorEnabled

    public java.lang.Boolean isColorEnabled()

### isOptimizeResources

    public java.lang.Boolean isOptimizeResources()

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.